0.9.6: GLM_GTX_multiple

| 0.9.6

- Main Page
- Modules
- Files

Functions
GLM_GTX_multiple
GTX Extensions (Experimental)

## Functions
template<typename genType >
GLM_DEPRECATED GLM_FUNC_DECL genType | higherMultiple (genType Source, genType Multiple)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_DEPRECATED GLM_FUNC_DECL vecType< T, P > | higherMultiple (vecType< T, P > const &Source, vecType< T, P > const &Multiple)
template<typename genType >
GLM_DEPRECATED GLM_FUNC_DECL genType | lowerMultiple (genType Source, genType Multiple)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_DEPRECATED GLM_FUNC_DECL vecType< T, P > | lowerMultiple (vecType< T, P > const &Source, vecType< T, P > const &Multiple)

## Detailed Description

Find the closest number of a number multiple of other number.

<glm/gtx/multiple.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_DEPRECATED GLM_FUNC_DECL genType glm::higherMultiple | ( | genType | Source,
|  | genType | Multiple
| ) |  |

Higher multiple number of Source.

Template Parameters

  genType | Floating-point or integer scalar or vector types.

Parameters

  Source |
  Multiple | Must be a null or positive value

See also
  GLM_GTX_multiple

GLM_DEPRECATED GLM_FUNC_DECL vecType<T, P> glm::higherMultiple | ( | vecType< T, P > const & | Source,
|  | vecType< T, P > const & | Multiple
| ) |  |

Higher multiple number of Source.

Template Parameters

  genType | Floating-point or integer scalar or vector types.

Parameters

  Source |
  Multiple | Must be a null or positive value

See also
  GLM_GTX_multiple

GLM_DEPRECATED GLM_FUNC_DECL genType glm::lowerMultiple | ( | genType | Source,
|  | genType | Multiple
| ) |  |

Lower multiple number of Source.

Template Parameters

  genType | Floating-point or integer scalar or vector types.

Parameters

  Source |
  Multiple | Must be a null or positive value

See also
  GLM_GTX_multiple

GLM_DEPRECATED GLM_FUNC_DECL vecType<T, P> glm::lowerMultiple | ( | vecType< T, P > const & | Source,
|  | vecType< T, P > const & | Multiple
| ) |  |

Lower multiple number of Source.

Template Parameters

  genType | Floating-point or integer scalar or vector types.

Parameters

  Source |
  Multiple | Must be a null or positive value

See also
  GLM_GTX_multiple